﻿using System.Data.Entity;
using CmdjyHisFront.Dal.Tables;

namespace CmdjyHisFront.Dal
{
    /// <summary>
    /// HIS前置机数据库
    /// </summary>
    public partial class HisFrontDbContext:DbContext
    {
        public HisFrontDbContext() : base("HisFrontDbContext") {
            this.Database.CreateIfNotExists();
        }
    }

    partial class HisFrontDbContext
    {
        /// <summary>
        /// 处方信息
        /// </summary>
        public DbSet<HisPrescriptionInfo> PrescriptionInfo { get; set; }
        /// <summary>
        /// 药品信息
        /// </summary>
        public DbSet<HisDrugInfo> DrugInfo { get; set; }

    }
}